Bug 1836761 - F33FailsToInstall: grass
Summary: F33FailsToInstall: grass
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: grass
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: markusN
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F33FailsToInstall
TreeView+ depends on / blocked
 
Reported: 2020-05-18 05:27 UTC by Igor Raits
Modified: 2020-07-13 01:00 UTC (History)
6 users (show)

Fixed In Version: grass-7.8.3-5.fc32 grass-7.8.3-7.el8
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-05-27 05:17:56 UTC
Type: ---


Attachments (Terms of Use)

Description Igor Raits 2020-05-18 05:27:20 UTC
Hello,

Please note that this comment was generated automatically. If you feel that this output has mistakes, please contact me via email (ignatenkobrain@fedoraproject.org).

Your package (grass) Fails To Install in Fedora 33:

can't install grass:
  - nothing provides wxPython needed by grass-7.8.3-3.fc33.x86_64
  
If you don't react accordingly to the policy for FTBFS/FTI bugs (https://docs.fedoraproject.org/en-US/fesco/Fails_to_build_from_source_Fails_to_install/), your package may be orphaned in 8+ weeks.

P.S. The data was generated solely from koji buildroot, so it might be newer than the latest compose or the content on mirrors.

P.P.S. If this bug has been reported in the middle of upgrading multiple dependent packages, please consider using side tags: https://docs.fedoraproject.org/en-US/rawhide-gating/multi-builds/

Thanks!

Comment 1 markusN 2020-05-18 07:12:11 UTC
As soon as wxPython is available (see https://apps.fedoraproject.org/packages/wxPython) this problem should vanish.

It might be blocked by https://bugzilla.redhat.com/show_bug.cgi?id=1765573 (wxpython4 package requiring release of new SIP package).

Comment 3 markusN 2020-05-26 11:56:24 UTC
Hi, the working SPEC file is in master of pkgs.fedoraproject.org/rpms/grass but there is no f33 branch:

fedpkg switch-branch f33
Could not execute switch_branch: Unknown remote branch upstream/f33

I tried to get it with
fedpkg request-branch --all-releases

but f33 doesn't show up.

Thanks for any pointers!

Comment 4 Igor Raits 2020-05-26 12:59:02 UTC
you need to use master branch. That is f33 at this point.

Comment 5 markusN 2020-05-26 13:41:37 UTC
koji build --scratch f33 /home/mneteler/rpmbuild/SRPMS/grass-7.8.3-3.fc31.src.rpm

https://koji.fedoraproject.org/koji/taskinfo?taskID=45005312

build successfully:

    rebuildSRPM (noarch)
    buildArch (grass-7.8.3-3.fc33.src.rpm, armv7hl)
    buildArch (grass-7.8.3-3.fc33.src.rpm, i686)
    buildArch (grass-7.8.3-3.fc33.src.rpm, x86_64)
    buildArch (grass-7.8.3-3.fc33.src.rpm, aarch64)
    buildArch (grass-7.8.3-3.fc33.src.rpm, ppc64le)
    buildArch (grass-7.8.3-3.fc33.src.rpm, s390x)


As it compiles I am not sure what's missing...

Comment 6 Igor Raits 2020-05-26 13:47:55 UTC
well, it does not install. I assume that wxPython is not anymore available in Fedora. Or probably there is some kind of python3-wxPython…

Comment 7 markusN 2020-05-26 14:10:11 UTC
OK, now I got it. The reason is that this condition isn't yet right:

%if 0%{?rhel} < 7
Requires:       wxPython
%else
%if 0%{?rhel} > 6
# https://bugzilla.redhat.com/show_bug.cgi?id=1765573
#Requires:   python%{python3_version_nodots}-wxpython4
%else
Requires:       python3-wxpython4
%endif
%endif


I'm on it...

Comment 8 Igor Raits 2020-05-26 14:11:58 UTC
%if 0%{rhel} && 0%{?rhel} < 7
Requires: wxPython
%else
Requires: python3-wxpython4
%endif

Comment 9 Fedora Update System 2020-05-26 21:09:51 UTC
FEDORA-2020-2a55f53ee0 has been submitted as an update to Fedora 32. https://bodhi.fedoraproject.org/updates/FEDORA-2020-2a55f53ee0

Comment 10 Fedora Update System 2020-05-27 02:21:36 UTC
FEDORA-2020-2a55f53ee0 has been pushed to the Fedora 32 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-2a55f53ee0`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-2a55f53ee0

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 11 Igor Raits 2020-05-27 05:17:56 UTC
Hello,

Please note that this comment was generated automatically. If you feel that this output has mistakes, please contact me via email (ignatenkobrain@fedoraproject.org).

All subpackages of a package agaisnt which this bug was filled are now installable or removed from Fedora 33.

Thanks for taking care of it!

Comment 12 markusN 2020-05-27 06:48:09 UTC
Thanks for your support and patience!

Comment 13 Fedora Update System 2020-06-04 02:54:38 UTC
FEDORA-2020-2a55f53ee0 has been pushed to the Fedora 32 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 14 Fedora Update System 2020-06-19 16:27:12 UTC
FEDORA-EPEL-2020-ac0cd04729 has been submitted as an update to Fedora EPEL 8. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2020-ac0cd04729

Comment 15 Fedora Update System 2020-06-19 19:03:09 UTC
FEDORA-EPEL-2020-081bb78a5c has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2020-081bb78a5c

Comment 16 Fedora Update System 2020-06-20 00:41:10 UTC
FEDORA-EPEL-2020-081bb78a5c has been pushed to the Fedora EPEL 7 testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2020-081bb78a5c

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 17 Fedora Update System 2020-06-21 17:20:40 UTC
FEDORA-EPEL-2020-ac0cd04729 has been pushed to the Fedora EPEL 8 testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2020-ac0cd04729

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 18 Fedora Update System 2020-06-28 01:17:37 UTC
FEDORA-EPEL-2020-b1688f39b3 has been pushed to the Fedora EPEL 8 testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2020-b1688f39b3

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 19 Fedora Update System 2020-07-13 01:00:11 UTC
FEDORA-EPEL-2020-b1688f39b3 has been pushed to the Fedora EPEL 8 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.